# Uses of Interface
org.apache.commons.fileupload2.core.FileItemInput

Packages that use FileItemInput
Package
Description
org.apache.commons.fileupload2.core
A component for handling HTML file uploads as specified by RFC 1867.

## Uses of FileItemInput in org.apache.commons.fileupload2.core

Subinterfaces with type arguments of type FileItemInput in org.apache.commons.fileupload2.core
Modifier and Type
Interface
Description
`interface`
`FileItemInput`
Provides access to a file or form item that was received within a `multipart/form-data` POST request.
`interface`
`FileItemInputIterator`
An iterator, as returned by `AbstractFileUpload.getItemIterator(RequestContext)`.
Methods in org.apache.commons.fileupload2.core that return FileItemInput
Modifier and Type
Method
Description
`FileItemInput`
FileItemInputIterator.`next()`
Returns the next available `FileItemInput`.